Bug 258924 - nvidia-driver-390-143 pkg and 309-144 port
Summary: nvidia-driver-390-143 pkg and 309-144 port
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-04 14:20 UTC by Michael
Modified: 2021-11-02 08:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 2021-10-04 14:20:19 UTC
the nvidia-driver 390-143 pkg is working until kernel v stable/13-ec47ee78b, later not

the nvidia-driver-390-144 port is not working with any version, 13 release or stable

the card is Gforce 710 and 730

there is no comprehensive error msg

relevant Xorg.log for the 390.144

[    42.640] (II) Loading sub module "ramdac"
[    42.640] (II) LoadModule: "ramdac"
[    42.640] (II) Module "ramdac" already built-in
[    42.643] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
[    42.643] (EE) NVIDIA:     system's kernel log for additional error messages and
[    42.643] (EE) NVIDIA:     consult the NVIDIA README for details.
[    42.643] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
[    42.643] (EE) NVIDIA:     system's kernel log for additional error messages and
[    42.643] (EE) NVIDIA:     consult the NVIDIA README for details.
[    42.643] (EE) No devices detected.
[    42.643] (EE)
Comment 1 Alexey Dokuchaev freebsd_committer 2021-11-02 05:55:17 UTC
(In reply to Michael from comment #0)
> nvidia-driver 390-143 pkg is working until kernel stable/13-ec47ee78b, later not
Are you referring to pre-built 390-143 package on the cluster, i.e., as offered by the "pkg install"?  Did you try to build your own package on post-stable/13-ec47ee78b system manually, via "make DISTVERSION=390.143 -DNO_CHECKSUM"?

> nvidia-driver-390-144 port is not working with any version, 13 release or stable
Interesting.  I'll try to see what might have changed between these versions; in the meantime, try downgrading to -143 first.
Comment 2 Michael 2021-11-02 08:32:28 UTC
(In reply to Alexey Dokuchaev from comment #1)

now the actual pkg is "still" working with the mentioned kernel versions as well as with former versions

but the actual ports driver-390 only works until 13-Release, not even with 13-p03, boot loader msg is kernel found but wrong version

other combinations hang up the machine at driver loading, while the 13-p03 gives me still a loader prompt with the ports version, works fine with the pkg version